<? include('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
$user=text($_SESSION["username"]);
?>
<div class="menucenter">
<script type="text/javascript" language="javascript" src="js/jquery-1.2.6.min.js"></script>

<script language="JavaScript" type="text/javascript">
function hideserfaddblock(bname) {
    if (document.getElementById(bname).style.display == 'none') {
        document.getElementById(bname).style.display = '';
     } else {
        document.getElementById(bname).style.display = 'none';
       }
       return false;
     }
</script>
<script type="text/javascript" src="/js/jquery.autogrow.js"></script>
        <script type="text/javascript" language="JavaScript">
            $(document).ready(function(){
                $("#addreply").click(function(){
                    $("#replyblock").fadeIn("slow");
                });
                $('textarea.mailarea').autogrow({
                    maxHeight: 1000,
                    minHeight: 60
                    //lineHeight: 16
                });
            })
</script>

<h2>Внутренняя почта</h2>
<p align="justify">Пожалуйста, не используйте СПАМ, нецензурную лексику и не оскорбляйте участников проекта. Так же запрещено использовать почту в рекламных целях. По правилам проекта, Администрация имеет право просматривать сообщения и наказывать нарушителей.</p>
<h2><a href="/mail.php" title="Вернуться к списку диалогов">&larr; Вернуться к списку диалогов</a></h2>
<?
if(isset($_GET["mail"]))
  {
    $mail=text($_GET["mail"]);
    $res=mysql_query("select subject,sender,recipient from tb_mail where id='$mail'");
	  $res=mysql_fetch_assoc($res);
	  $subject=$res["subject"];
	  $sender=$res["sender"];
	  $recipient=$res["recipient"];

	  $otkogo='';
    $komu='';
    if($sender==$user) {$otkogo=$sender; $komu=$recipient; } else {$otkogo=$recipient; $komu=$sender;} // Определям кому отправить и откого

	  if(isset($_POST["ask_desc"]))
     {

        if($_SESSION['cnt']==$_POST["cnt"])
           {
              $ask_desc=text($_POST["ask_desc"]);
              if($ask_desc!='')
              {
                $data=time();
                mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('$otkogo','$komu','$subject','$ask_desc','$data')");
              }
              else
              {
                echo "<div class='error'>Вы не ввели текст сообщения</div>";
              }
           }
         else
           {
            echo "<div class='error'>Нельзя отправлять одни и теже сообщения многократно!</div>";
           }
     }

$res=mysql_query("select * from tb_mail where id='$mail'");
$res=mysql_fetch_assoc($res);
$bigsurf=$res["sender"];
$bigrt=$res["recipient"];
if($bigsurf!=$user and $bigrt!=$user) {
echo "<div class='error'>Уважаемый пользователь! Вас не учили не читать чужие письма?</div>";
include('footer.php');
exit();
}
	  if($subject=='')
      {
        echo "<div class='error'>Сообщение № $mail отсутствует!</div>";
        include('footer.php');
        exit();
      }
     else
     {
        $qw="select sender,recipient,message,data from tb_mail where subject='$subject' and (( sender='$sender' and recipient='$recipient' ) or (sender='$recipient' and recipient='$sender') )  order by data  desc ";
        // Блок листалки --------------------------------------------------------------
         $limit = 50; // количество выводимой информации на одной странице
         $res=mysql_query($qw);
         $total_pages=mysql_num_rows($res);
         $var="&mail=".$mail;
         include("page.php");
        // Конец листалки -------------------------------------------------------------
         $res=mysql_query($qw.$qw3);

	      mysql_query("update tb_mail set status=1 where subject='$subject' and sender='$komu' and recipient='$user'");
     }
  }
  else
  {
    echo "<div class='error'>Внимания! Не правильная операция!</div>";
    include('footer.php');
		exit();
  }
?>
<center>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr class="top">
  <td class="empty" style="padding-top: 10px;"><span class="desctext3" style='color:green;'>Тема: <?=$subject?></span></td>
</tr>
<?
if($sender=='Система')
{
echo '<tr>
         <td style="padding: 0pt 20px;" align="center"><div style="border:dashed 1px #F2C0A6;padding:7px;background:#f5f5b5;">На информационное сообщение Системы отвечать не надо…</div></td>
     </tr>';
}
else
{
?>
<tr>
  <td style="padding: 0pt 20px;" align="center"><span id="addreply" class="mailreply">Ответить</span></td>
</tr>
<tr id="replyblock" style="display: none;">
  <td style="padding: 0pt 20px 5px;" align="center">
  <form name="surforder" method="post" action="/mailread.php?mail=<?=$mail?>" onsubmit="return SbmForm(); return false;">
  <textarea style="overflow: hidden; display: block;" class="mailarea" cols="40" rows="3" name="ask_desc"></textarea>
  <?
  $cnt=md5(time());
  $_SESSION['cnt']=$cnt;
  ?>
  <input name="cnt" value="<?=$cnt?>" type="hidden">
  <input class="ok_wm" name="submitall" value="Ответить" type="submit">
  </form>
  </td>
</tr>
<?
}
$i=mysql_num_rows($res)+1;
while($row=mysql_fetch_assoc($res))
  {
	$mail_sender=$row["sender"];
	$mail_recipient=$row["recipient"];
	$mail_message=$row["message"];
	$mail_data=$row["data"];

	$mail_data=date("d.m.Y - H:i",$mail_data);
	$i--;
	if($mail_sender!=$user) $l=1; else $l=2;
	echo'
	<tr>
  <td style="padding: 0pt 20px;" align="left">
  <span class="mailtext'.$l.'">'.$mail_message.'<span class="mailtitle'.$l.'">'.$mail_sender.'  ('.$mail_data.')<span class="mailnum'.$l.'">'.$i.'</span></span></span>
  </td>
  </tr>';
	}
?>
</table>
</center>
<? include('footer.php'); ?>